# Google Account Switcher - Alfred Workflow
An Alfred workflow to switch between Google/GSuite accounts on Google websites (Gmail, Drive, Calendar) with keyboard shortcuts. 

<img src="logo.png" width="200" alt="Google Account Switcher | Logo"/>

## ⚛ Features
- Supports switching between upto 9 Google accounts with keyboard shortcuts (configurable)
- Supports Gmail, Drive & Calendar but may support other google apps as well, try it!


## ✅ Install

- Download and open the workflow file using [Alfred](https://www.alfredapp.com/).
- Get the latest release from here : https://github.com/vinaywadhwa/Google-Account-Switcher---Alfred/releases


P.S.: You need to [buy the Powerpack](https://buy.alfredapp.com/) to use this workflow.

## 🛠 Setup:


Setup the accounts:
Setup the google accounts in environment variables like :
- ACCOUNT_1 : myaccount1@gmail.com
- ACCOUNT_2 : myaccount2@gmail.com
- ACCOUNT_3 : myaccount2@gmail.com

Then, setup the keyboard shortcuts for each of the accounts, say 
- ctrl+opt+1 for myaccount1@gmail.com
- ctrl+opt+2 for myaccount2@gmail.com
- ctrl+opt+3 for myaccount3@gmail.com

..and that's it. Use these shortcuts to switch between google accounts on gmail/google-drive/google-calendar websites in the browser's active tab.

## 🌐 Supported Browsers
- Safari
- Google Chrome
- Google Chrome Canary
- Opera
- Vivaldi
- Brave Browser

### 🗒 Note
- You must be logged in with the aforementioned accounts already. Which of the accounts you log into first has no effect on the way the workflow functions.
- The 'active' tab in the browser must have the gmail/drive/calendar website opened for the keyboard shortcuts to work. 
- Firefox not supported, for now, sorry! [This](https://www.alfredforum.com/topic/2013-how-to-get-frontmost-tab%E2%80%99s-url-and-title-of-various-browsers/) is why.
- Please reach out if you need other Chrome/Safari based browsers supported.



## 👬 Contribution

- Report issues
- Open pull request with improvements
- Spread the word
- Reach out with any feedback ![Twitter Follow](https://img.shields.io/twitter/follow/vinayw?style=social)

## 🏅 License

[![License: CC BY 4.0](https://img.shields.io/badge/License-CC%20BY%204.0-lightgrey.svg)](https://creativecommons.org/licenses/by/4.0/)
